pkgsrc-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: mail/mutt-devel: new errors

On Tue, Mar 06, 2012 at 11:09:56PM +0530, Mayuresh wrote:
> But generally, OS upgrade's interaction with pkg is an area not very clear
> to me. (Whether such rebuild should be necessary and if so, what's the way
> to reliably trigger it etc.)

A set of packages build completely under the old release should work fine.
A set of packages build completely under the new release must work fine.
A mixture of packages build under the old and new system will fail
in interesting ways and is therefore not advisable.

And this is not something that NetBSD could realistically fix. The maintainers
of G++ e.g. keep changing the C++ ABI.

        Kind regards

Matthias Scheler                        

Home | Main Index | Thread Index | Old Index